-- =============================================
-- Author:		<Luca,,C6Mart.DM_GestioneEmail>
-- Create date: <13/11/2008,,>
-- Description:	<Prima fase popolamento tabella email,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[DM_GESTIONE_EMAIL_REPORT_DEFINITIVI] 
AS
BEGIN
BEGIN TRANSACTION
--QUESTA SP POPOLA LA TABELLA GESTIONE_EMAIL PER LE CASISTICHE DI:
--	LISTA CLIENTI PER CUI OCCORRE GENERARE I REPORT
DECLARE @ID_ELAB INT
SET @ID_ELAB = C6MARTPERIODICO.GETIDELAB()
DECLARE @GETDATE AS DATETIME
SELECT 	@GETDATE = GETDATE()
 --1. INSERIMENTO MAIL "LISTA CLIENTI PER CUI OCCORRE GENERARE I REPORT"
	-- TUPLE DA PERFEZIONARE SU CONTRATTOSEI
	-- NON PRESENTI SU GESTIONE_EMAIL
DECLARE @TIPOEMAIL AS VARCHAR(50)
SET @TIPOEMAIL = 'LC_REP_DEF'
	INSERT INTO C6MartPeriodico.GESTIONE_EMAIL
		(Rete,CodicePB,Tipo,Data_Generazione, ID_ELAB)
	SELECT 
		DISTINCT
		REPGEN.Rete,
		ANAG_CLIENTI.ID_PROMOTORE as CodicePB,
		@TIPOEMAIL as TipoEmail,
		@GETDATE AS DataGenerazione,
		@ID_ELAB as ID_ELAB
    FROM C6MartPeriodico.GESTIONE_PDF_FTP REPGEN
	INNER JOIN C6MartPeriodico.ANAG_CLIENTI ANAG_CLIENTI
			ON REPGEN.RETE = ANAG_CLIENTI.RETE
			AND REPGEN.CODICEFISCALE = ANAG_CLIENTI.COD_FISCALE
			AND ISNULL(REPGEN.FLAGINVIO,'N') = 'S'
			AND ISNULL(REPGEN.Definitivo,0) = 1	
	LEFT OUTER JOIN C6MartPeriodico.GESTIONE_EMAIL EMAIL
			ON REPGEN.RETE = EMAIL.RETE
			AND ANAG_CLIENTI.ID_PROMOTORE = EMAIL.CodicePB
			AND EMAIL.TIPO = @TIPOEMAIL					
			AND ISNULL(EMAIL.[Inviata],'N') = 'N'	
	LEFT OUTER JOIN C6MART.CODICI_PROMOTORI_FITTIZI PF	
		ON ANAG_CLIENTI.ID_PROMOTORE BETWEEN PF.CODICEDA AND PF.CODICEA
		AND REPGEN.RETE = PF.RETE
	WHERE 1 = 1
		AND EMAIL.CodicePB IS NULL
		AND PF.RETE IS NULL 
IF @@ERROR<>0 ROLLBACK
COMMIT
END